VMware vSphere Automation SDK for .NET 6.5.0

- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions
vmware::vapi::std::DynamicID Class Reference

The `DynamicID` class represents an identifier for a resource of an arbitrary type. More...

List of all members.

## Public Member Functions
| DynamicID ()
| Creates a default new instance.
string | Get_Type ()
| The type of resource being identified (for example `com.acme.Person` ).
void | SetType (string type)
| The type of resource being identified (for example `com.acme.Person` ).
string | GetId ()
| The identifier for a resource whose type is specified by DynamicID.type .
void | SetId (string id)
| The identifier for a resource whose type is specified by DynamicID.type .
vmware.vapi.bindings.type.StructType | _GetType ()
vmware.vapi.data.StructValue | _GetDataValue ()
void | _Validate ()
bool | _HasTypeNameOf< T > ()
T | _ConvertTo< T > ()
override bool | Equals (object obj)
override int | GetHashCode ()
override string | ToString ()

## Detailed Description

The `DynamicID` class represents an identifier for a resource of an arbitrary type.

## Constructor & Destructor Documentation

vmware::vapi::std::DynamicID::DynamicID | ( |  | ) | `[inline]`

Creates a default new instance.

## Member Function Documentation

T vmware::vapi::std::DynamicID::_ConvertTo< T > | ( |  | ) | `[inline]`

Type Constraints

  T | : | vmware.vapi.bindings.IStructure |

vmware.vapi.data.StructValue vmware::vapi::std::DynamicID::_GetDataValue | ( |  | ) | `[inline]`

vmware.vapi.bindings.type.StructType vmware::vapi::std::DynamicID::_GetType | ( |  | ) | `[inline]`

bool vmware::vapi::std::DynamicID::_HasTypeNameOf< T > | ( |  | ) | `[inline]`

Type Constraints

  T | : | vmware.vapi.bindings.IStructure |

void vmware::vapi::std::DynamicID::_Validate | ( |  | ) | `[inline]`

override bool vmware::vapi::std::DynamicID::Equals | ( | object | obj | ) | `[inline]`

string vmware::vapi::std::DynamicID::Get_Type | ( |  | ) | `[inline]`

The type of resource being identified (for example `com.acme.Person` ).

Interfaces that contain methods for creating and deleting resources typically contain a constant specifying the resource type for the resources being created and deleted. The API metamodel metadata interfaces include a interface that allows retrieving all the known resource types.

override int vmware::vapi::std::DynamicID::GetHashCode | ( |  | ) | `[inline]`

string vmware::vapi::std::DynamicID::GetId | ( |  | ) | `[inline]`

The identifier for a resource whose type is specified by DynamicID.type .

When clients pass a value of this class as a parameter, the field `type` must contain the actual resource type. When methods return a value of this class as a result, the field `type` will contain the actual resource type.

void vmware::vapi::std::DynamicID::SetId | ( | string | id | ) | `[inline]`

The identifier for a resource whose type is specified by DynamicID.type .

When clients pass a value of this class as a parameter, the field `type` must contain the actual resource type. When methods return a value of this class as a result, the field `type` will contain the actual resource type.

void vmware::vapi::std::DynamicID::SetType | ( | string | type | ) | `[inline]`

The type of resource being identified (for example `com.acme.Person` ).

Interfaces that contain methods for creating and deleting resources typically contain a constant specifying the resource type for the resources being created and deleted. The API metamodel metadata interfaces include a interface that allows retrieving all the known resource types.

override string vmware::vapi::std::DynamicID::ToString | ( |  | ) | `[inline]`

The documentation for this class was generated from the following file:

- DynamicID.cs